Set Control Functions {pbdZMQ} | R Documentation

## Set controls in pbdZMQ

### Description

Set control functions

### Usage

    pbd_opt(..., bytext = "", envir = .GlobalEnv)

### Arguments

`...` | in argument format `option = value` to set `.pbd_env$option <- value` inside the `envir`
`bytext` | in text format `"option = value"` to set `.pbd_env$option <- value` inside the `envir`.
`envir` | by default the global environment is used.

### Details

`pbd_opt()` sets pbd options for ZMQ controls.

`...` allows multiple options in `envir$.pbd_env`, but only in a simple way.

`bytext` allows to assign options by text in `envir$.pbd_env`, but can assign advanced objects. For example, `"option$suboption <- value"` will set `envir$.pbd_env$option$suboption <- value`.

### Value

No value is returned.

### Author(s)

Wei-Chen Chen wccsnow@gmail.com and Drew Schmidt.

### References

ZeroMQ/4.1.0 API Reference: http://api.zeromq.org/4-1:_start

Programming with Big Data in R Website: http://r-pbd.org/

### See Also

`.pbd_env`.

### Examples

    ## Not run:
    library(pbdZMQ, quietly = TRUE)

    ls(.pbd_env)
    rm(.pbd_env)
    .zmqopt_init()
    ls(.pbd_env)

    .pbd_env$ZMQ.SR$BLOCK
    pbd_opt(bytext = "ZMQ.SR$BLOCK <- 0L")

    ## End(Not run)

[Package pbdZMQ version 0.2-4 Index]